function status = FxPlotPeakHeatMap30(filepath, filename, muscle, peaks, ptime, start, duration)

%Plot up to 30 responses
num_plots = 30;

temp = find(filename == '.', 1, 'last');
if strcmpi(filename(temp:end), '.txt') == 1 || strcmpi(filename(temp:end), '.xlsx') == 1 || strcmpi(filename(temp:end), '.bin') == 1
    filename = filename(1:temp-1);
end

%cut data down to duration
temp = find(ptime <= duration, 1, 'last');
peaks = peaks(:, 1:temp);
ptime = ptime(1:temp, 1);
peak_avg = mean(peaks, 1);

%find row to start for min/max calculations
start_row = find(ptime >= start, 1, 'first');

%add col of zeros for missing responses
num_resp = size(peaks, 1);
if num_resp < num_plots
    peaks = vertcat(peaks, zeros(num_plots-num_resp, size(peaks,2)));
end

%---------------------------------------------------------
load('EPheatmap')
colormap(EPheatmap)

screen = get(0,'ScreenSize');
xmax = ptime(end);

%---------------------------------------------------------
rsp = 1;
A1 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])

rsp = 2;
A2 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])

rsp = 3;
A3 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])

rsp = 4;
A4 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])

rsp = 5;
A5 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])
% text(-xmax/100, ymin+(ymax-ymin)/2, num2str(rsp), 'FontWeight', 'Bold', 'HorizontalAlignment', 'right')

rsp = 6;
A6 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])

rsp = 7;
A7 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])

rsp = 8;
A8 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])

rsp = 9;
A9 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax])
end
set(gca, 'XTickLabel', [], 'YTick', [])

rsp = 10;
A10 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])
% text(-xmax/100, ymin+(ymax-ymin)/2, num2str(rsp), 'FontWeight', 'Bold', 'HorizontalAlignment', 'right')

%---------------------------------------------------------
rsp = 11;
B1 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])

rsp = 12;
B2 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])

rsp = 13;
B3 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])

rsp = 14;
B4 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])

rsp = 15;
B5 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])
% text(-xmax/100, ymin+(ymax-ymin)/2, num2str(rsp), 'FontWeight', 'Bold', 'HorizontalAlignment', 'right')

rsp = 16;
B6 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])

rsp = 17;
B7 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])

rsp = 18;
B8 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])

rsp = 19;
B9 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])

rsp = 20;
B10 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])
% text(-xmax/100, ymin+(ymax-ymin)/2, num2str(rsp), 'FontWeight', 'Bold', 'HorizontalAlignment', 'right')

%---------------------------------------------------------
rsp = 21;
C1 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])

rsp = 22;
C2 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])

rsp = 23;
C3 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])

rsp = 24;
C4 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])

rsp = 25;
C5 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])
% text(-xmax/100, ymin+(ymax-ymin)/2, num2str(rsp), 'FontWeight', 'Bold', 'HorizontalAlignment', 'right')

rsp = 26;
C6 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])

rsp = 27;
C7 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])

rsp = 28;
C8 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])

rsp = 29;
C9 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])

rsp = 30;
C10 = subplot(3, 12, rsp);
if num_resp >= rsp
ymin = min(peaks(rsp,start_row:end));
ymax = max(peaks(rsp,start_row:end));
image(ptime, [ymin ymax], peaks(rsp,:), 'CDataMapping', 'scaled')
caxis([ymin ymax]);
end
set(gca, 'XTickLabel', [], 'YTick', [])
% text(-xmax/100, ymin+(ymax-ymin)/2, num2str(rsp), 'FontWeight', 'Bold', 'HorizontalAlignment', 'right')

%---------------------------------------------------------
AVG = subplot(3, 12, 31);
ymin = min(peak_avg(1,start_row:end));
ymax = max(peak_avg(1,start_row:end));
image(ptime, [ymin ymax], peak_avg, 'CDataMapping', 'scaled')
caxis([ymin ymax]);
set(gca, 'YTick', [])
% text(-xmax/200, ymin+(ymax-ymin)/2, 'AVG', 'FontWeight', 'Bold', 'HorizontalAlignment', 'right')

S = subplot(3, 12, 32);
axis([0, 10, 0, 5])
text(5, 1.5, 'Time (msec)', 'FontWeight', 'Bold', 'HorizontalAlignment', 'Center')
set(gca, 'visible', 'off')

T = subplot(3, 12, 33);
axis([0, 10, 0, 5])
text(5, 2, [filename '_' muscle], 'FontSize', 11, 'FontWeight', 'Bold', 'HorizontalAlignment', 'Center', 'Interpreter', 'none')
set(gca, 'visible', 'off')

%---------------------------------------------------------
x1 = 9;
a = 0.93;   b = 0.07;
ydisp = (a - b)/ num_plots;
bot = (a:-ydisp:b)';
yoffset = ydisp/2;

Lab = subplot(3, 12, 34);
axis([0, 10, 0, 1])
text(x1, bot(1)+yoffset,   '1', 'FontWeight', 'Bold', 'HorizontalAlignment', 'right')
text(x1, bot(5)+yoffset,   '5', 'FontWeight', 'Bold', 'HorizontalAlignment', 'right')
text(x1, bot(10)+yoffset, '10', 'FontWeight', 'Bold', 'HorizontalAlignment', 'right')
text(x1, bot(15)+yoffset, '15', 'FontWeight', 'Bold', 'HorizontalAlignment', 'right')
text(x1, bot(20)+yoffset, '20', 'FontWeight', 'Bold', 'HorizontalAlignment', 'right')
text(x1, bot(25)+yoffset, '25', 'FontWeight', 'Bold', 'HorizontalAlignment', 'right')
text(x1, bot(30)+yoffset, '30', 'FontWeight', 'Bold', 'HorizontalAlignment', 'right')
text(x1, 0.04+yoffset  , 'AVG', 'FontWeight', 'Bold', 'HorizontalAlignment', 'right')
set(gca, 'visible', 'off')

%---------------------------------------------------------
xdisp = 0.92;
x1 = 0.065;
% a = 0.93;   b = 0.07;
% ydisp = (a - b)/ 20;
% bot = (a:-ydisp:b)';
yoffset = 0.003;

%---------------------------------------------------------
set(A1,  'position', [x1 bot(1)  xdisp ydisp-yoffset])
set(A2,  'position', [x1 bot(2)  xdisp ydisp-yoffset])
set(A3,  'position', [x1 bot(3)  xdisp ydisp-yoffset])
set(A4,  'position', [x1 bot(4)  xdisp ydisp-yoffset])
set(A5,  'position', [x1 bot(5)  xdisp ydisp-yoffset])

set(A6,  'position', [x1 bot(6)  xdisp ydisp-yoffset])
set(A7,  'position', [x1 bot(7)  xdisp ydisp-yoffset])
set(A8,  'position', [x1 bot(8)  xdisp ydisp-yoffset])
set(A9,  'position', [x1 bot(9)  xdisp ydisp-yoffset])
set(A10, 'position', [x1 bot(10) xdisp ydisp-yoffset])
%---------------------------------------------------------
set(B1,  'position', [x1 bot(11) xdisp ydisp-yoffset])
set(B2,  'position', [x1 bot(12) xdisp ydisp-yoffset])
set(B3,  'position', [x1 bot(13) xdisp ydisp-yoffset])
set(B4,  'position', [x1 bot(14) xdisp ydisp-yoffset])
set(B5,  'position', [x1 bot(15) xdisp ydisp-yoffset])

set(B6,  'position', [x1 bot(16) xdisp ydisp-yoffset])
set(B7,  'position', [x1 bot(17) xdisp ydisp-yoffset])
set(B8,  'position', [x1 bot(18) xdisp ydisp-yoffset])
set(B9,  'position', [x1 bot(19) xdisp ydisp-yoffset])
set(B10, 'position', [x1 bot(20) xdisp ydisp-yoffset])
%---------------------------------------------------------
set(C1,  'position', [x1 bot(21) xdisp ydisp-yoffset])
set(C2,  'position', [x1 bot(22) xdisp ydisp-yoffset])
set(C3,  'position', [x1 bot(23) xdisp ydisp-yoffset])
set(C4,  'position', [x1 bot(24) xdisp ydisp-yoffset])
set(C5,  'position', [x1 bot(25) xdisp ydisp-yoffset])

set(C6,  'position', [x1 bot(26) xdisp ydisp-yoffset])
set(C7,  'position', [x1 bot(27) xdisp ydisp-yoffset])
set(C8,  'position', [x1 bot(28) xdisp ydisp-yoffset])
set(C9,  'position', [x1 bot(29) xdisp ydisp-yoffset])
set(C10, 'position', [x1 bot(30) xdisp ydisp-yoffset])
%---------------------------------------------------------
set(AVG,  'position', [x1 0.045 xdisp ydisp])
set(S,    'position', [x1 0.00 xdisp 0.04])
set(T,    'position', [x1 bot(1)+ydisp xdisp 1-(bot(1)+ydisp)])
set(Lab,  'position', [0 0 x1 1])

set(gcf, 'position', [100 , 50, screen(3)/4, screen(4)*2/3])

%----------------------------------------------------
if exist([filepath 'PLOTS\HeatMap\' num2str(duration) 'msec\' muscle '\'], 'dir') == 0
    mkdir([filepath 'PLOTS\HeatMap\' num2str(duration) 'msec\' muscle '\'])
end
saveas(gcf, [filepath 'PLOTS\HeatMap\' num2str(duration) 'msec\' muscle '\' filename '_' muscle '.bmp'])
close(gcf)



%---------------------------------------------------------
%---------------------------------------------------------
%---------------------------------------------------------
colormap(EPheatmap)

AVG = subplot(4, 1, 1);
ymin = min(peak_avg(1,start_row:end));
ymax = max(peak_avg(1,start_row:end));
image(ptime, [ymin ymax], peak_avg, 'CDataMapping', 'scaled')
caxis([ymin ymax]);
set(gca, 'YTick', [])

S = subplot(4, 1, 2);
axis([0, 10, 0, 5])
text(5, 1.5, 'Time (msec)', 'FontWeight', 'Bold', 'HorizontalAlignment', 'Center')
set(gca, 'visible', 'off')

T = subplot(4, 1, 3);
axis([0, 10, 0, 5])
text(5, 3, [filename '_' muscle '_AVG'], 'FontSize', 14, 'FontWeight', 'Bold', 'HorizontalAlignment', 'Center', 'Interpreter', 'none')
set(gca, 'visible', 'off')

set(AVG,  'position', [x1 0.35 xdisp 0.40])
set(S,    'position', [x1 0.0 xdisp 0.35])
set(T,    'position', [x1 0.75 xdisp 0.25])
set(gcf, 'position',[100 , 50, screen(3)/3, screen(4)/10])

%----------------------------------------------------
if exist([filepath 'PLOTS\HeatMap\' num2str(duration) 'msec\' muscle '\AVG\'], 'dir') == 0
    mkdir([filepath 'PLOTS\HeatMap\' num2str(duration) 'msec\' muscle '\AVG\'])
end
saveas(gcf, [filepath 'PLOTS\HeatMap\' num2str(duration) 'msec\' muscle '\AVG\' filename '_' muscle '.bmp'])
close(gcf)

status = 1;