function status = FxPlotRawResp(filepath, filename, muscle, raw, sample_freq, duration)

%Plot up to 30 responses

%Parameters:
%   1-FullRespWinStart
%   2-FullRespWinEnd
%   3-BLWinStart
%   4-BLWinEnd
%   5-C1Start
%   6-C1End
%   7-C2Start
%   8-C2End
%   9-C3Start
%  10-C3End
%  11-C4Start
%  12-C4End

temp = find(filename == '.', 1, 'last');
if strcmpi(filename(temp:end), '.bin') == 1
    filename = filename(1:temp-1);
end

num_resp = size(raw, 2);
time = ((0:1/sample_freq:(size(raw,1)-1)/sample_freq)*1000)';

%cut data down to duration
temp = find(time <= duration, 1, 'last');
raw = raw(1:temp, :);
time = time(1:temp, 1);

%calculations
rect = abs(raw);
raw_avg = mean(raw,2);
rect_avg = mean(rect,2);

%add col of NaN for missing responses
if num_resp < 20
    raw = horzcat(raw, nan(size(raw,1), 20-num_resp));
end

temp = 2 / 1000 * sample_freq;
xmin = 0;
xmax = time(end);
ymax = ceil(max((max(max(raw(temp:end,:)))), abs(min(min(raw(temp:end,:)))))*10)/10;
ymin = ymax * -1;

screen = get(0,'ScreenSize');

fig = figure;
set(fig,'position',[1 , 1, screen(3), screen(4)])

%---------------------------------------------------------
rsp = 1;
A1 = subplot(3, 11, rsp);
plot(time, raw(:,rsp))
axis([xmin, xmax, ymin, ymax])
text(xmax/100, ymax/2, num2str(rsp), 'FontWeight', 'Bold')
box('off')
set(gca, 'XTickLabel', [])

rsp = 2;
A2 = subplot(3, 11, rsp);
plot(time, raw(:,rsp))
axis([xmin, xmax, ymin, ymax])
text(xmax/100, ymax/2, num2str(rsp), 'FontWeight', 'Bold') 
box('off')
set(gca, 'XTickLabel', [])

rsp = 3;
A3 = subplot(3, 11, rsp);
plot(time, raw(:,rsp))
axis([xmin, xmax, ymin, ymax])
text(xmax/100, ymax/2, num2str(rsp), 'FontWeight', 'Bold') 
box('off')
set(gca, 'XTickLabel', [])

rsp = 4;
A4 = subplot(3, 11, rsp);
plot(time, raw(:,rsp))
axis([xmin, xmax, ymin, ymax])
text(xmax/100, ymax/2, num2str(rsp), 'FontWeight', 'Bold') 
box('off')
set(gca, 'XTickLabel', [])

rsp = 5;
A5 = subplot(3, 11, rsp);
plot(time, raw(:,rsp))
axis([xmin, xmax, ymin, ymax])
text(xmax/100, ymax/2, num2str(rsp), 'FontWeight', 'Bold') 
box('off')
set(gca, 'XTickLabel', [])

rsp = 6;
A6 = subplot(3, 11, rsp);
plot(time, raw(:,rsp))
axis([xmin, xmax, ymin, ymax])
text(xmax/100, ymax/2, num2str(rsp), 'FontWeight', 'Bold') 
box('off')
set(gca, 'XTickLabel', [])

rsp = 7;
A7 = subplot(3, 11, rsp);
plot(time, raw(:,rsp))
axis([xmin, xmax, ymin, ymax])
text(xmax/100, ymax/2, num2str(rsp), 'FontWeight', 'Bold') 
box('off')
set(gca, 'XTickLabel', [])

rsp = 8;
A8 = subplot(3, 11, rsp);
plot(time, raw(:,rsp))
axis([xmin, xmax, ymin, ymax])
text(xmax/100, ymax/2, num2str(rsp), 'FontWeight', 'Bold') 
box('off')
set(gca, 'XTickLabel', [])

rsp = 9;
A9 = subplot(3, 11, rsp);
plot(time, raw(:,rsp))
axis([xmin, xmax, ymin, ymax])
text(xmax/100, ymax/2, num2str(rsp), 'FontWeight', 'Bold') 
box('off')
set(gca, 'XTickLabel', [])

rsp = 10;
A10 = subplot(3, 11, rsp);
plot(time, raw(:,rsp))
axis([xmin, xmax, ymin, ymax])
text(xmax/100, ymax/2, num2str(rsp), 'FontWeight', 'Bold')
text(xmax/2, ymin+ymin/1.8, 'Time (msec)', 'FontWeight', 'Bold', 'HorizontalAlignment', 'Center')
box('off')

%---------------------------------------------------------

rsp = 11;
B1 = subplot(3, 11, rsp);
plot(time, raw(:,rsp))
axis([xmin, xmax, ymin, ymax])
text(xmax/100, ymax/2, num2str(rsp), 'FontWeight', 'Bold') 
box('off')
set(gca, 'XTickLabel', [])

rsp = 12;
B2 = subplot(3, 11, rsp);
plot(time, raw(:,rsp))
axis([xmin, xmax, ymin, ymax])
text(xmax/100, ymax/2, num2str(rsp), 'FontWeight', 'Bold') 
box('off')
set(gca, 'XTickLabel', [])

rsp = 13;
B3 = subplot(3, 11, rsp);
plot(time, raw(:,rsp))
axis([xmin, xmax, ymin, ymax])
text(xmax/100, ymax/2, num2str(rsp), 'FontWeight', 'Bold') 
box('off')
set(gca, 'XTickLabel', [])

rsp = 14;
B4 = subplot(3, 11, rsp);
plot(time, raw(:,rsp))
axis([xmin, xmax, ymin, ymax])
text(xmax/100, ymax/2, num2str(rsp), 'FontWeight', 'Bold') 
box('off')
set(gca, 'XTickLabel', [])

rsp = 15;
B5 = subplot(3, 11, rsp);
plot(time, raw(:,rsp))
axis([xmin, xmax, ymin, ymax])
text(xmax/100, ymax/2, num2str(rsp), 'FontWeight', 'Bold') 
box('off')
set(gca, 'XTickLabel', [])

rsp = 16;
B6 = subplot(3, 11, rsp);
plot(time, raw(:,rsp))
axis([xmin, xmax, ymin, ymax])
text(xmax/100, ymax/2, num2str(rsp), 'FontWeight', 'Bold') 
box('off')
set(gca, 'XTickLabel', [])

rsp = 17;
B7 = subplot(3, 11, rsp);
plot(time, raw(:,rsp))
axis([xmin, xmax, ymin, ymax])
text(xmax/100, ymax/2, num2str(rsp), 'FontWeight', 'Bold') 
box('off')
set(gca, 'XTickLabel', [])

rsp = 18;
B8 = subplot(3, 11, rsp);
plot(time, raw(:,rsp))
axis([xmin, xmax, ymin, ymax])
text(xmax/100, ymax/2, num2str(rsp), 'FontWeight', 'Bold') 
box('off')
set(gca, 'XTickLabel', [])

rsp = 19;
B9 = subplot(3, 11, rsp);
plot(time, raw(:,rsp))
axis([xmin, xmax, ymin, ymax])
text(xmax/100, ymax/2, num2str(rsp), 'FontWeight', 'Bold') 
box('off')
set(gca, 'XTickLabel', [])

rsp = 20;
B10 = subplot(3, 11, rsp);
plot(time, raw(:,rsp))
axis([xmin, xmax, ymin, ymax])
text(xmax/100, ymax/2, num2str(rsp), 'FontWeight', 'Bold') 
box('off')


% S = subplot(3, 11, 31);
% axis([0, 10, 0, 5])
% text(5, 2, 'Time (msec)', 'FontWeight', 'Bold', 'HorizontalAlignment', 'Center')
% set(gca, 'visible', 'off')

T = subplot(3, 11, 32);
axis([0, 10, 0, 5])
text(5, 2, [filename '_' muscle], 'FontSize', 14, 'FontWeight', 'Bold', 'HorizontalAlignment', 'Center', 'Interpreter', 'none')
set(gca, 'visible', 'off')


%----------------------------------------------------
ydisp = 0.089;
bot = (0.87:-ydisp:0.05)';
ydisp = ydisp - 0.001;
xdisp = 0.45;
xoffset = 0.025;
x1 = 0.03;
x2 = x1 + xdisp + xoffset;
% x3 = x2 + xdisp + xoffset;

%----------------------------------------------------
set(A1,  'position', [x1, bot(1,1),  xdisp, ydisp])
set(A2,  'position', [x1, bot(2,1),  xdisp, ydisp])
set(A3,  'position', [x1, bot(3,1),  xdisp, ydisp])
set(A4,  'position', [x1, bot(4,1),  xdisp, ydisp])
set(A5,  'position', [x1, bot(5,1),  xdisp, ydisp])

set(A6,  'position', [x1, bot(6,1),  xdisp, ydisp])
set(A7,  'position', [x1, bot(7,1),  xdisp, ydisp])
set(A8,  'position', [x1, bot(8,1),  xdisp, ydisp])
set(A9,  'position', [x1, bot(9,1),  xdisp, ydisp])
set(A10, 'position', [x1, bot(10,1), xdisp, ydisp])
%----------------------------------------------------
set(B1,  'position', [x2, bot(1,1),  xdisp, ydisp])
set(B2,  'position', [x2, bot(2,1),  xdisp, ydisp])
set(B3,  'position', [x2, bot(3,1),  xdisp, ydisp])
set(B4,  'position', [x2, bot(4,1),  xdisp, ydisp])
set(B5,  'position', [x2, bot(5,1),  xdisp, ydisp])

set(B6,  'position', [x2, bot(6,1),  xdisp, ydisp])
set(B7,  'position', [x2, bot(7,1),  xdisp, ydisp])
set(B8,  'position', [x2, bot(8,1),  xdisp, ydisp])
set(B9,  'position', [x2, bot(9,1),  xdisp, ydisp])
set(B10, 'position', [x2, bot(10,1), xdisp, ydisp])
%----------------------------------------------------
% set(C1,  'position', [x3, bot(1,1),  xdisp, ydisp])
% set(C2,  'position', [x3, bot(2,1),  xdisp, ydisp])
% set(C3,  'position', [x3, bot(3,1),  xdisp, ydisp])
% set(C4,  'position', [x3, bot(4,1),  xdisp, ydisp])
% set(C5,  'position', [x3, bot(5,1),  xdisp, ydisp])
% 
% set(C6,  'position', [x3, bot(6,1),  xdisp, ydisp])
% set(C7,  'position', [x3, bot(7,1),  xdisp, ydisp])
% set(C8,  'position', [x3, bot(8,1),  xdisp, ydisp])
% set(C9,  'position', [x3, bot(9,1),  xdisp, ydisp])
% set(C10, 'position', [x3, bot(10,1), xdisp, ydisp])

set(T, 'position', [0, bot(1,1)+ydisp, 1, 1-(bot(1,1)+ydisp)])

%----------------------------------------------------
if exist([filepath 'PLOTS\Response\' num2str(duration) 'msec\' muscle '\'], 'dir') == 0
    mkdir([filepath 'PLOTS\Response\' num2str(duration) 'msec\' muscle '\'])
end
saveas(fig, [filepath 'PLOTS\Response\' num2str(duration) 'msec\' muscle '\' filename '_' muscle '.bmp'])
close(fig)

%----------------------------------------------------
%----------------------------------------------------
%----------------------------------------------------
fig_avg = figure;
set(fig_avg, 'position', [50, 150, screen(3)/3, screen(4)/3])

A = subplot(4, 1, 1);
hold on
plot(time, raw, 'b')
plot(time, raw_avg, 'r', 'linewidth', 2)
hold off
axis([xmin xmax ymin ymax])
set(gca, 'XTickLabel', [])
text(xmax, ymax, 'Raw', 'HorizontalAlignment', 'Right', 'VerticalAlignment', 'Top')

B = subplot(4, 1, 2);
hold on
plot(time, rect, 'b')
plot(time, rect_avg, 'r', 'linewidth', 2)
hold off
axis([xmin xmax 0 ymax])
text(xmax, ymax, 'Rectified', 'HorizontalAlignment', 'Right', 'VerticalAlignment', 'Top')

S = subplot(4, 1, 3);
axis([0, 10, 0, 5])
text(5, 1.5, 'Time (msec)', 'FontWeight', 'Bold', 'HorizontalAlignment', 'Center')
set(gca, 'visible', 'off')

T = subplot(4, 1, 4);
axis([0, 10, 0, 5])
text(5, 2, [filename '_' muscle '_AVG'], 'FontSize', 14, 'FontWeight', 'Bold', 'HorizontalAlignment', 'Center', 'Interpreter', 'none')
set(gca, 'visible', 'off')

xdist = 0.93;
x1 = 0.05;
ydist = 0.39;
yoffset = .03;
y0 = 0.94;
y1 = y0 - ydist - yoffset;
y2 = y1 - ydist - yoffset;
set(A, 'position', [x1, y1, xdist, ydist])
set(B, 'position', [x1, y2, xdist, ydist])
set(S, 'position', [x1, 0, xdist, y2])
set(T, 'position', [x1, y0, xdist, 1-y0])

%----------------------------------------------------
if exist([filepath 'PLOTS\Response\' num2str(duration) 'msec\' muscle '\AVG\'], 'dir') == 0
    mkdir([filepath 'PLOTS\Response\' num2str(duration) 'msec\' muscle '\AVG\'])
end
saveas(fig_avg, [filepath 'PLOTS\Response\' num2str(duration) 'msec\' muscle '\AVG\' filename '_' muscle '_AVG.bmp'])
close(fig_avg)

status = 1;
