function cfg = config()

%VARIABLES
%Plot1
THR_MUL         = 0.2;      % fine tuned for all files
STIM_CH         = 6;        % stimulation channel
OFF             = 10;           % off first 1 ms plotting to avoid stimulus artifact
%Plot2
POST_WINDOW     = 100;   % plotting time window (ms)
MEP_WINDOW      = 30;    % MEP time window for early response (ms)
PRE_WINDOW      = 10;    % plotting time window before stim (ms)
SLOPE           = 0.5;        % falling edge (slope) of stimulation pulse
ALL_ymax        = 2;       % set bound limits for plot 2A
ALL_ymin        = ALL_ymax * -1;
AVG_ymax        = 1;       % set bound limits for plot 2B
%Plot3
POST3_MEP       = 300;    % calculations for after pulse (10^-4 sec)
PRE3_MEP        = 100;     % calculations for before pulse (10^-4 sec)
PRE_MEP         = 10;       % plotting time window before pulse (ms)
POST_MEP        = 30;      % plotting time window after pulse (ms)

fs = 10e3; %kHz
nq = fs/2;


cfg_fnames = {'THR_MUL','STIM_CH','OFF', ... 
    'POST_WINDOW', 'MEP_WINDOW', 'PRE_WINDOW', ...
    'SLOPE', 'ALL_ymax', 'ALL_ymin',...
    'AVG_ymax', 'POST3_MEP', 'PRE3_MEP', 'PRE_MEP', ...
    'POST_MEP', 'fs', 'nq'};

cfg_field = {THR_MUL, STIM_CH, OFF, ... 
    POST_WINDOW, MEP_WINDOW, PRE_WINDOW, ...
    SLOPE, ALL_ymax, ALL_ymin,...
    AVG_ymax, POST3_MEP, PRE3_MEP, PRE_MEP, ...
    POST_MEP, fs, nq};
cfg = cell2struct(cfg_field, cfg_fnames, 2);

save('config.mat','-struct', 'cfg');

end
