function new_stim = map_stimpulse(active_mask, stim_pulse)
% This function looks at all the active periods and the stim pulses and takes
% all the stim pulses with registered activity.
% USAGE
% new_stim = map_stimpulse(active_mask, stim_pulse)
% 
% active_mask = A logical mask that contains periods of activity
% stim_pulse = An array of recorded stim pulse instances

% Get the number of channels
nelec_ch = size(active_mask,2);

% Reshape for vectorisation
temp_mask = reshape(active_mask, [], 1);
temp_stim = repmat(stim_pulse, nelec_ch, 1);

% Set all times where it is active to zero
temp_stim(temp_mask) = 0;
new_stim = reshape(temp_stim, size(active_mask,1), ...
    size(active_mask,2));
end
