function plotShadedError(x, y, err, co)
    alpha = 0.3;
    upper = y + err;
    lower = y - err;

    if size(upper,2) < size(upper,1)
        lower = lower';
        upper = upper';
    end
    xp = [x, fliplr(x)];
    yp = [lower, fliplr(upper)];

    xp(isnan(yp)) = [];
    yp(isnan(yp)) = [];
    
    ppatch = patch(xp, yp, 1, 'HandleVisibility', 'off');

    plot(x, y, 'color', co);
    set(ppatch, 'facecolor', co, 'edgecolor', 'none', ...
        'facealpha', alpha);
end
