function rawAnalysis()

dname = '.\Data\B_animals_whishaw_task\';
fdir = dir(dname);
flist = {fdir.name};
flist = flist(contains(flist, 'raw'));
ext_flist = flist(contains(flist, 'Extension'));
reach_flist = flist(contains(flist, 'Reach'));

chs = 2 : 11;

iemg_struct = struct();
pk2pk_struct = struct();
pw_struct = struct();

minProminence = 0.03;

% Begin loop from 1 to number of time files
for f = 1 : length(ext_flist)
    ext_file = cell2mat(ext_flist(f));
    ext_split = strsplit(ext_file, '_');
    fname{f} = ext_file(1:13);

    reach_file = cell2mat( reach_flist( contains( reach_flist, ...
        cell2mat( ext_split(3) ) ) ) );
    ext_file = [dname ext_file];
    reach_file = [dname reach_file];
    ext_data = csv2struct(ext_file);
    reach_data = csv2struct(reach_file);

% Parse the csv file from the interpolated time intervals for flex/ext section
    fields = fieldnames(ext_data);
    ext_ids = unique(ext_data.id);
    reach_ids = unique(reach_data.id);
    member_mask = ismember(ext_ids, reach_ids);
    ids = ext_ids(member_mask);
    ext_arr = zeros(length(ext_data.id), length(fields));
    for i = 1 : length(fields)
        ext_arr(:,i) = ext_data.(cell2mat(fields(i)));
        reach_arr(:,i) = reach_data.(cell2mat(fields(i))); 
    end
    for i = 1 : length(ids)
        id = ids(i);
        ext_mask = ext_arr(:,1) == id;
        reach_mask = reach_arr(:,1) == id;
        for j = 1 : length(fields)
            ext_id(:,j) = ext_arr(ext_mask,j);
            reach_id(:,j) = reach_arr(reach_mask,j);
        end
% Divide the time intervals into variable sections (i.e. halfs or quarters)
        s_arr = size(ext_id);
        ext_time = ext_id(:,end);
        reach_time = reach_id(:,end);

        ts_ext = length(ext_time);
        ts_reach = length(reach_time);

% Calculate the IEMG per section, actual time required for each state, flexion
% state and extension state, and also the cocontraction value(?)
        field = cell2mat(fname(f));
    end

% Save the information into a struct for flexion and extension respectively

% End loop
end


end

function mu_arr = getNthRowMean(x, n)
    s = numel(x);
    xx = reshape(x(1 : s - mod(s,n)), n, []);
    arr = mean(xx,1);
    [nrows, ncols] = size(x);
    mu_arr = reshape(arr, nrows/n, ncols);
end

function sd_arr = getNthRowSD(x, n)
    s = numel(x);
    xx = reshape(x(1 : s - mod(s,n)), n, []);
    arr = std(xx);
    [nrows, ncols] = size(x);
    sd_arr = reshape(arr, nrows/n, ncols);
end
